#ifndef CIRCUITBUILDER_H
#define CIRCUITBUILDER_H

#include <QObject>
#include <KUrl>

class QProcess;

class CircuitBuilder : public QObject
{
  Q_OBJECT
  public:
    CircuitBuilder(const QString& interpreter = "");
    
    QString picInterpreter() const { return mPicInterpreter; }
    void setPicInterpreter(const QString& interpreter) { mPicInterpreter = interpreter; }
    
    void build(const KUrl&);
    
    QString epsFilePath() const;
    QString pdfFilePath() const;
    QString pngFilePath() const;
    QString pstFilePath() const;
    
  private:
    QString mPicInterpreter;  
    QProcess *buildProcess;
    KUrl tempFileUrl;
    
  signals:
    void previewBuilt(const QImage&);
    void buildFinished();
    
  protected slots:
    void processFinished();
};

#endif
