"#!/bin/bash\n"
"#\n"
"# cct\n"
"#\n"
"# Script to get a proper vector eps file as well as a bitmap png file at\n"
"# fairly low resolution from a Circuit Macros (or any gpic) file, suitable\n"
"# for the Web. (Google burnallgifs :-)\n"
"#\n"
"# Alan Robert Clark a.clark@ee.wits.ac.za\n"
"#\n"
"# Created: 10 September 2003.\n"
"# Modified for version 5.82 7 December 2005\n"
"#\n"
"# Usage: cct fn OR cct fn.m4 OR cct *.m4 OR cct * :-)\n"
"#        Output is both a vector graphic .eps file\n"
"#                   and a bitmap graphic .png file.\n"
"#        See cctcct for the olde style .cct output.\n"
"\n"
"# If you **REALLY** have this filename, I guess you can change it :-)\n"
"TMPNAME=tempA1R2C3W4i5e6r6d7\n"
"CIRCUIT_MACROS_PATH=/home/agostine/.kde/share/apps/cirkuit/circuit_macros/\n"
"\n"
"function mkltx()\n"
"{\n"
"cat > $TMPNAME.tex << EOF\n"
"\\documentclass[a4paper]{article}\n"
"% Get max paper size (empty except for one figure!)\n"
"% Clear all textual allowances other than the main canvas\n"
"\\setlength{\\oddsidemargin}{0pt}\n"
"\\setlength{\\topmargin}{0pt}\n"
"\\setlength{\\headheight}{0pt}\n"
"\\setlength{\\headsep}{0pt}\n"
"\\setlength{\\marginparsep}{0pt}\n"
"\\setlength{\\marginparwidth}{0pt}\n"
"\\setlength{\\footskip}{0pt}\n"
"% Top Left is 5mm,5mm Not 1inch,1inch\n"
"\\addtolength{\\oddsidemargin}{-20mm}\n"
"\\addtolength{\\topmargin}{-20mm}\n"
"% A4 is 210 x 297 mm. Make bottom right 5,5 remaining!\n"
"\\setlength{\\textwidth}{205mm}\n"
"\\setlength{\\textheight}{292mm}\n"
"\n"
"\\usepackage{rotating} % For rotated text in figs.\n"
"\\usepackage{amsmath}\n"
"\\usepackage{pstricks}\n"
"\\usepackage{boxdims}\n"
"\\newbox\\graph\n"
"\\thispagestyle{empty}\n"
"\\begin{document}\n"
"{\\vspace{2ex}\\input{$TMPNAME.cct}\n"
"\\box\\graph\n"
"}\n"
"\\end{document}\n"
"EOF\n"
"return\n"
"}\n"
"\n"
"filpath=`dirname $1`\n"
"fn=$filpath/`basename $1 .m4`\n"
"if [ -e $fn.m4 ]\n"
"then\n"
"echo -e "\\n\\n\\nProcessing $fn.m4\\n"\n"
"m4 $CIRCUIT_MACROS_PATH/pstricks.m4 $CIRCUIT_MACROS_PATH/libcct.m4 $fn.m4 | dpic -p > $TMPNAME.cct\n"
"if [ ! -e $TMPNAME.tex ]\n"
"then mkltx\n"
"fi\n"
"cp $TMPNAME.cct $fn.pst\n"
"latex $TMPNAME.tex -output-format=dvi\n"
"dvips -O 1in,1in -Pcmz -Pamz -o $TMPNAME.ps $TMPNAME\n"
"cp $TMPNAME.ps $fn.ps\n"
"gs -sDEVICE=ppmraw -r200 -sOutputFile=- -sNOPAUSE -q $TMPNAME.ps \\\n"
"-c showpage -c quit | pnmcrop| pnmmargin -white 10 | pnmalias \\\n"
"| pnmtopng >$fn.png\n"
"\n"
"# Fix bounding box\n"
"ps2eps -f $fn.ps\n"
"epstopdf $fn.eps\n"
"\n"
"rm -f $TMPNAME.*\n"
"else\n"
"echo "$fn.m4 does not exist!"\n"
"fi\n"
